* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 18px;
}

body {
  font-family: sans-serif;
  background: #f5f5f5;
  min-height: 100vh;
}
body.highlight:after {
  content: "";
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: rgba(0, 0, 0, 0.5);
}

small {
  font-size: 0.75em;
  opacity: 0.5;
}

.page {
  width: 100%;
  margin: 0 auto;
  max-width: 1000px;
  padding: 20px;
}

.text-center {
  text-align: center;
}

input[type=file] {
  display: none;
}

select, .btn {
  font: inherit;
  height: 40px;
  padding: 0px 25px;
  border-radius: 4px;
  border: none;
}

select {
  width: 250px;
}

.btn {
  font: inherit;
  display: inline-flex;
  align-items: center;
  height: 44px;
  border-radius: 4px;
  cursor: pointer;
  transition: background-color 300ms;
}
.btn-secondary {
  background-color: #e0e0e0;
  color: #333333;
}
.btn-secondary:hover {
  background-color: #d5d5d5;
}
.btn-primary {
  background-color: #009688;
  color: white;
}
.btn-primary:hover {
  background-color: #00695c;
}
.btn-primary[disabled], .btn-primary[disabled]:hover {
  background-color: #e0e0e0;
  cursor: not-allowed;
}

.result {
  margin-top: 20px;
  margin-left: -20px;
  margin-right: -20px;
  display: flex;
}
.result > div {
  width: 50%;
  padding: 20px;
  display: flex;
  flex-direction: column;
}

#preview {
  max-width: 100%;
  display: block;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 20px;
}

#log {
  display: flex;
  flex-direction: column;
  width: 100%;
  min-height: 200px;
  border-radius: 4px;
  padding: 15px;
  flex-grow: 1;
  background: white;
  margin-bottom: 20px;
}

pre {
  width: 100%;
  white-space: pre-line;
  font-size: 16px;
}

.state {
  width: 100%;
  flex-grow: 1;
  font-style: italic;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: #aaa;
  font-size: 14px;
}
.state__status {
  margin-bottom: 10px;
}
.state__status:after {
  content: "...";
}
.state__progress {
  background-color: #009688;
  border-radius: 4px;
  height: 15px;
  border: 1px solid #eee;
}
.state__progress::-webkit-progress-bar {
  background-color: white;
}
.state__progress::-webkit-progress-value {
  background-color: #009688;
}
.state__progress::-moz-progress-bar {
  background-color: #009688;
}

@media screen and (max-width: 860px) {
  html {
    font-size: 14px;
  }

  select, .btn {
    padding: 0 15px;
  }

  .result {
    display: block;
    padding: 0;
  }
  .result > div {
    width: 100%;
  }
}

/*# sourceMappingURL=/style.97fcb138.css.map */